package com.caimei365.user.feign;

import com.caimei365.user.model.ResponseJson;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient("CAIMEI365-CLOUD-COMMODITY")
public interface VipProductFeign {
    @GetMapping("/commodity/svip/product/page")
    public ResponseJson<Map<String, Object>> getSvipProductPage(@RequestParam Integer userId, @RequestParam Integer source,
                                                                @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                @RequestParam(value = "pageSize", defaultValue = "20") int pageSize);
}
